org.gjt.sp.jedit.bsh

## Class Capabilities.Unavailable

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.gjt.sp.jedit.bsh.UtilEvalError
      - - org.gjt.sp.jedit.bsh.Capabilities.Unavailable

- All Implemented Interfaces:
    java.io.Serializable
  Enclosing class:
    Capabilities

      public static class Capabilities.Unavailable
      extends UtilEvalError

  An attempt was made to use an unavailable capability supported by an optional package. The normal operation is to test before attempting to use these packages... so this is runtime exception.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Unavailable(java.lang.String s)`

  - ### Method Summary

    - ### Methods inherited from class org.gjt.sp.jedit.bsh.UtilEvalError

      `toEvalError, toEvalError`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Unavailable

          public Unavailable(java.lang.String s)